Zandronum Chat on our Discord Server Get the latest version: 3.1
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003940Doomseeker[All Projects] Suggestionpublic2021-12-13 03:142021-12-23 11:56
ReporterKaminsky 
Assigned ToZalewa 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version1.3.3Fixed in Version1.3.3 
Summary0003940: Add support for min/max player limits for maps in Zandronum 3.1
DescriptionIn Zandronum 3.1, it is now possible to specify min/max player limits for maps in the map rotation so maps won't be entered if there's too few or too many players than what the limits permit. By default, the min and max limits are 0 and 64 respectively, meaning that the limits aren't used by default.

These are optional parameters of the "addmap" and "insertmap" CCMDs:

"addmap <lumpname> [minplayers] [maxplayers]"
"insertmap <lumpname> <position> [minplayers] [maxplayers]"
Additional Informationhttps://wiki.zandronum.com/Console_Commands [^]
http://hg.osdn.net/view/zandronum/zandronum-stable/rev/6e72f4918e9a [^]
Attached Files

- Relationships

-  Notes
User avatar (0021977)
Zalewa (developer)
2021-12-22 19:30

Commits:

*https://bitbucket.org/Doomseeker/doomseeker/commits/132ff6605be200846236eb483bcd0ec2918b7d51 [^]
*https://bitbucket.org/Doomseeker/doomseeker/commits/994ea2af3090ed1edaaf67dec18fff12965ba8db [^]

The updated plugin was released on the beta channel.
User avatar (0021984)
WaTaKiD (updater)
2021-12-22 21:01

tried various maps and player limits, seems to work fine for me

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: WubTheCaptain

- Issue History
Date Modified Username Field Change
2021-12-13 03:14 Kaminsky New Issue
2021-12-22 17:54 Zalewa Assigned To => Zalewa
2021-12-22 17:54 Zalewa Status new => assigned
2021-12-22 19:30 Zalewa Note Added: 0021977
2021-12-22 19:30 Zalewa Status assigned => needs testing
2021-12-22 21:01 WaTaKiD Note Added: 0021984
2021-12-23 00:32 Zalewa Status needs testing => resolved
2021-12-23 00:32 Zalewa Fixed in Version => 1.3.3
2021-12-23 00:32 Zalewa Resolution open => fixed
2021-12-23 11:56 WubTheCaptain Target Version => 1.3.3






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2022 MantisBT Team
Powered by Mantis Bugtracker